<?php

/**
 * @file
 * Front office search form file.
 */

/**
 * Displays search form that will redirect to search page.
 *
 * @param array $form
 *   Form.
 * @param array $form_state
 *   Form state.
 *
 * @return array
 *   Front office search form.
 */
function qwantsearch_search_form(array $form, array &$form_state) {
  form_load_include($form_state, 'inc', 'qwantsearch', 'includes/qwantsearch.search_form');
  $params = drupal_get_query_parameters();

  $form['search'] = array(
    '#type' => 'textfield',
    '#default_value' => isset($params['search']) ? $params['search'] : '',
    '#attributes' => array(
      'placeholder' => t('Search'),
    ),
  );

  $form['actions'] = array(
    '#type' => 'container',
  );

  $form['actions']['submit'] = array(
    '#type' => 'submit',
    '#value' => t('Search'),
  );

  return $form;
}

/**
 * Submit function for search form that will redirect to search page.
 *
 * @param array $form
 *   Form.
 * @param array $form_state
 *   Form state.
 */
function qwantsearch_search_form_submit(array &$form, array &$form_state) {
  $form_state['redirect'] = array(
    variable_get('qwantsearch_search_page', QWANTSEARCH_DEFAULT_SEARCH_PAGE),
    array(
      'query' => array(
        'search' => $form_state['values']['search'],
      ),
    ),
  );
}
